Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdSource sync

Sync a document from its source

Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors:…

Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors: google-docs / notion / confluence.

POST
/api/v1/documents/{id}/source-sync

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/documents/3fa85f64-5717-4562-b3fc-2c963f66afa6/source-sync" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "fileId": "8fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
}
{
  "error": "Invalid Confluence source ID"
}
{
  "error": "Unauthorized",
  "details": "Invalid or expired authentication token"
}
{
  "error": "This Confluence page is not authorized for sync. Select it in Integrations first."
}
{
  "error": "Document not found"
}
{
  "error": "Document too large",
  "details": "File exceeds MAX_DOCUMENT_SIZE_MB"
}
{
  "error": "Failed to fetch Confluence page from upstream provider"
}

How is this guide?